Package org.lwjgl.opengles

# Class NVDrawBuffers

java.lang.Object
org.lwjgl.opengles.NVDrawBuffers

public final class NVDrawBuffers extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_COLOR_ATTACHMENT0_NV`
Accepted by the <bufs> parameter of DrawBuffersNV:
`static final int`
`GL_COLOR_ATTACHMENT1_NV`
Accepted by the <bufs> parameter of DrawBuffersNV:
`static final int`
`GL_COLOR_ATTACHMENT10_NV`
Accepted by the <bufs> parameter of DrawBuffersNV:
`static final int`
`GL_COLOR_ATTACHMENT11_NV`
Accepted by the <bufs> parameter of DrawBuffersNV:
`static final int`
`GL_COLOR_ATTACHMENT12_NV`
Accepted by the <bufs> parameter of DrawBuffersNV:
`static final int`
`GL_COLOR_ATTACHMENT13_NV`
Accepted by the <bufs> parameter of DrawBuffersNV:
`static final int`
`GL_COLOR_ATTACHMENT14_NV`
Accepted by the <bufs> parameter of DrawBuffersNV:
`static final int`
`GL_COLOR_ATTACHMENT15_NV`
Accepted by the <bufs> parameter of DrawBuffersNV:
`static final int`
`GL_COLOR_ATTACHMENT2_NV`
Accepted by the <bufs> parameter of DrawBuffersNV:
`static final int`
`GL_COLOR_ATTACHMENT3_NV`
Accepted by the <bufs> parameter of DrawBuffersNV:
`static final int`
`GL_COLOR_ATTACHMENT4_NV`
Accepted by the <bufs> parameter of DrawBuffersNV:
`static final int`
`GL_COLOR_ATTACHMENT5_NV`
Accepted by the <bufs> parameter of DrawBuffersNV:
`static final int`
`GL_COLOR_ATTACHMENT6_NV`
Accepted by the <bufs> parameter of DrawBuffersNV:
`static final int`
`GL_COLOR_ATTACHMENT7_NV`
Accepted by the <bufs> parameter of DrawBuffersNV:
`static final int`
`GL_COLOR_ATTACHMENT8_NV`
Accepted by the <bufs> parameter of DrawBuffersNV:
`static final int`
`GL_COLOR_ATTACHMENT9_NV`
Accepted by the <bufs> parameter of DrawBuffersNV:
`static final int`
`GL_DRAW_BUFFER0_NV`
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_DRAW_BUFFER1_NV`
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_DRAW_BUFFER10_NV`
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_DRAW_BUFFER11_NV`
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_DRAW_BUFFER12_NV`
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_DRAW_BUFFER13_NV`
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_DRAW_BUFFER14_NV`
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_DRAW_BUFFER15_NV`
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_DRAW_BUFFER2_NV`
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_DRAW_BUFFER3_NV`
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_DRAW_BUFFER4_NV`
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_DRAW_BUFFER5_NV`
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_DRAW_BUFFER6_NV`
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_DRAW_BUFFER7_NV`
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_DRAW_BUFFER8_NV`
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_DRAW_BUFFER9_NV`
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_DRAW_BUFFERS_NV`
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glDrawBuffersNV(int buf)`
Overloads glDrawBuffersNV.
`static void`
`glDrawBuffersNV(IntBuffer bufs)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_MAX_DRAW_BUFFERS_NV

public static final int GL_MAX_DRAW_BUFFERS_NV
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_DRAW_BUFFER0_NV

public static final int GL_DRAW_BUFFER0_NV
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_DRAW_BUFFER1_NV

public static final int GL_DRAW_BUFFER1_NV
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_DRAW_BUFFER2_NV

public static final int GL_DRAW_BUFFER2_NV
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_DRAW_BUFFER3_NV

public static final int GL_DRAW_BUFFER3_NV
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_DRAW_BUFFER4_NV

public static final int GL_DRAW_BUFFER4_NV
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_DRAW_BUFFER5_NV

public static final int GL_DRAW_BUFFER5_NV
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_DRAW_BUFFER6_NV

public static final int GL_DRAW_BUFFER6_NV
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_DRAW_BUFFER7_NV

public static final int GL_DRAW_BUFFER7_NV
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_DRAW_BUFFER8_NV

public static final int GL_DRAW_BUFFER8_NV
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_DRAW_BUFFER9_NV

public static final int GL_DRAW_BUFFER9_NV
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_DRAW_BUFFER10_NV

public static final int GL_DRAW_BUFFER10_NV
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_DRAW_BUFFER11_NV

public static final int GL_DRAW_BUFFER11_NV
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_DRAW_BUFFER12_NV

public static final int GL_DRAW_BUFFER12_NV
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_DRAW_BUFFER13_NV

public static final int GL_DRAW_BUFFER13_NV
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_DRAW_BUFFER14_NV

public static final int GL_DRAW_BUFFER14_NV
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_DRAW_BUFFER15_NV

public static final int GL_DRAW_BUFFER15_NV
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_COLOR_ATTACHMENT0_NV

public static final int GL_COLOR_ATTACHMENT0_NV
Accepted by the <bufs> parameter of DrawBuffersNV:

See Also:
  - Constant Field Values

### GL_COLOR_ATTACHMENT1_NV

public static final int GL_COLOR_ATTACHMENT1_NV
Accepted by the <bufs> parameter of DrawBuffersNV:

See Also:
  - Constant Field Values

### GL_COLOR_ATTACHMENT2_NV

public static final int GL_COLOR_ATTACHMENT2_NV
Accepted by the <bufs> parameter of DrawBuffersNV:

See Also:
  - Constant Field Values

### GL_COLOR_ATTACHMENT3_NV

public static final int GL_COLOR_ATTACHMENT3_NV
Accepted by the <bufs> parameter of DrawBuffersNV:

See Also:
  - Constant Field Values

### GL_COLOR_ATTACHMENT4_NV

public static final int GL_COLOR_ATTACHMENT4_NV
Accepted by the <bufs> parameter of DrawBuffersNV:

See Also:
  - Constant Field Values

### GL_COLOR_ATTACHMENT5_NV

public static final int GL_COLOR_ATTACHMENT5_NV
Accepted by the <bufs> parameter of DrawBuffersNV:

See Also:
  - Constant Field Values

### GL_COLOR_ATTACHMENT6_NV

public static final int GL_COLOR_ATTACHMENT6_NV
Accepted by the <bufs> parameter of DrawBuffersNV:

See Also:
  - Constant Field Values

### GL_COLOR_ATTACHMENT7_NV

public static final int GL_COLOR_ATTACHMENT7_NV
Accepted by the <bufs> parameter of DrawBuffersNV:

See Also:
  - Constant Field Values

### GL_COLOR_ATTACHMENT8_NV

public static final int GL_COLOR_ATTACHMENT8_NV
Accepted by the <bufs> parameter of DrawBuffersNV:

See Also:
  - Constant Field Values

### GL_COLOR_ATTACHMENT9_NV

public static final int GL_COLOR_ATTACHMENT9_NV
Accepted by the <bufs> parameter of DrawBuffersNV:

See Also:
  - Constant Field Values

### GL_COLOR_ATTACHMENT10_NV

public static final int GL_COLOR_ATTACHMENT10_NV
Accepted by the <bufs> parameter of DrawBuffersNV:

See Also:
  - Constant Field Values

### GL_COLOR_ATTACHMENT11_NV

public static final int GL_COLOR_ATTACHMENT11_NV
Accepted by the <bufs> parameter of DrawBuffersNV:

See Also:
  - Constant Field Values

### GL_COLOR_ATTACHMENT12_NV

public static final int GL_COLOR_ATTACHMENT12_NV
Accepted by the <bufs> parameter of DrawBuffersNV:

See Also:
  - Constant Field Values

### GL_COLOR_ATTACHMENT13_NV

public static final int GL_COLOR_ATTACHMENT13_NV
Accepted by the <bufs> parameter of DrawBuffersNV:

See Also:
  - Constant Field Values

### GL_COLOR_ATTACHMENT14_NV

public static final int GL_COLOR_ATTACHMENT14_NV
Accepted by the <bufs> parameter of DrawBuffersNV:

See Also:
  - Constant Field Values

### GL_COLOR_ATTACHMENT15_NV

public static final int GL_COLOR_ATTACHMENT15_NV
Accepted by the <bufs> parameter of DrawBuffersNV:

See Also:
  - Constant Field Values

## Method Details

### glDrawBuffersNV

public static void glDrawBuffersNV(IntBuffer bufs)

### glDrawBuffersNV

public static void glDrawBuffersNV(int buf)
Overloads glDrawBuffersNV.